# Xapian::TermNameWrapper Class Reference

A wrapper class for a termname which returns the termname if dereferenced with *. More...

`#include <termiterator.h>`

List of all members.

## Public Member Functions

| TermNameWrapper (const std::string &tname_)
std::string | operator * () const

## Detailed Description

A wrapper class for a termname which returns the termname if dereferenced with *.

We need this to implement input_iterator semantics.

The documentation for this class was generated from the following file:

- include/xapian/termiterator.h